<?php

/* $Id: index.php 1250 2008-09-08 11:34:40Z pawy $ */

ini_set('default_charset', 'UTF8');
ini_set('short_open_tag', 'on');

//trigger_error("Fatal error", E_USER_ERROR);
// Rozpoczynamy pomiar czasu wykonywania skryptu
$mtime = microtime();
$mtime = explode(" ", $mtime);
$mtime = $mtime[1] + $mtime[0];
$starttime = $mtime;
// -->
include('./core/core.php');
//include('./core/Class/MFLog.class.php');


spl_autoload_register(function ($className) {
	//echo $className;
	Core::LoadClass($className);
});
Core::Init(PageType::STRONA);


/**
 * Autoloader klas
 *
 * @param unknown_type $className
 */


Core::LoadSmarty();

//$logger = LoggerManager::getLogger(isset($_SERVER['REQUEST_URI']) ? $_SERVER['REQUEST_URI'] : __FILE__);
// Sciezki zapisujemy w ponizszym pliku
include("routes.php");
Router::$parseLang = false;
//Router::$curLang = 'pl'; 
//Router::$forceExactRoute = true;
Router::$reverseRoute = true;

$scripts = array();
$null = array();
Registry::Set('javascript', $null);
$null = array();
Registry::Set('footerJavascript', $null);

$front = new FrontController();

$front->SetTitleDelimiter(' - ');


$front->FlipTitle();

$front->Dispatch();

// Konczymy pomiar czasu wykonywania skryptu
$mtime = microtime();
$mtime = explode(" ", $mtime);
$mtime = $mtime[1] + $mtime[0];
$endtime = $mtime;
$totaltime = ($endtime - $starttime);

// Wyswietlamy wynik poza szablonem
//$logger->info($totaltime);
//if ($totaltime>1.99) {
//	$logger->warn($totaltime);
//}

Core::Garbage();
?>
